.\" $Id: slapdstats.man,v 1.4 2012/02/29 18:45:36 ksb Exp $
.\" by Kevin Braunsdorf
.\" $Compile: Display%h
.\" $Display: ${nroff-groff} -Tascii -man %f | ${PAGER:-less}
.\" $Install: %b -mDeinstall %o %f && cp %f $DESTDIR/usr/local/man/man8/slapdstats.8
.\" $Deinstall: ${rm-rm} -f $DESTDIR/usr/local/man/[cm]a[nt]8/slapdstats.8*
.TH SLAPDSTATS 8 LOCAL
.SH NAME
slapdstats - report NetScape LDAP metrics to PEG
.SH SYNOPSIS
.ds PN "slapdstats
\fI\*(PN\fP [\fB\-dx\fP] [\fB\-N\fP\~\fInode\fP] [\fB\-O\fP\~\fIadmin\fP] [\fB\-s\fP\~\fIlogin\fP] [\fB\-S\fP\~\fIsuffix\fP] [\fB\-T\fP\~\fItoplevel\fP] [\fIpeg\fP][:\fIport\fP]
.br
\fI\*(PN\fP \fB\-h\fP
.br
\fI\*(PN\fP \fB\-V\fP

.SH DESCRIPTION
The performance and engineering site accepts 11 simple LDAP daemon
server statistics under the \fBslapd.cvu\fP RRD type.  This program
sends those data source to PEG.
.P
If you need to report under a difference hostname (of the VIP name)
use the \fB\-N\fP option to change the effective hostname, or
the other options to modify the hostname.


.SH OPTIONS
.TP
\fB\-d\fP
Display RRD path only, then exit.
.TP
\fB\-h\fP
Print a brief help message.
.TP
\fB\-N\fP \fInode\fP
Use this node name, rather than our hostname whittled.
.TP
\fB\-O\fP \fIadmin\fP
Set the local administrators department suffix.  This suffix is removed
from the hostname sent to PEG.
.TP
\fB\-p\fP \fIdelay\fP
Update persistantly, about every \fIdelay\fP seconds.
.TP
\fB\-S\fP \fIsuffix\fP
Remove this suffix after \fItoplevel\fP, if present.
.TP
\fB\-T\fP \fItoplevel\fP
Remove this from the end of our hostname before it is sent to PEG.
.TP
\fB\-u\fP \fIcn\fP
The slapd login which allows us to see the stats.
.TP
\fB\-V\fP
Output only the standard version information.
.TP
\fB\-x\fP
Trace updates on \fIstderr\fP.
.TP
\fIpeg\fP
Sample collection host, running \fBrrdd\fP(8l).
.TP
\fIport\fP
Rrdd update port (otherwise 31415).

.SH EXAMPLES
.TP
nohup /usr/local/libexec/slapdstats \-p 105 mypeg.example.com &
Update the PEG instance at \fBmypeg.example.com\fP with our
LDAP stats every 105 seconds, from background.

.SH BUGS
The code is pretty specific to the version of slapd we support.

.SH AUTHORS
Kevin Braunsdorf, NPC Guild
.br
peg within-no-spamming_hat ksb.npcguild.org

.SH "SEE ALSO"
sh(1), rrdup(1l), slapd(1), haveip(1l)
